Unable to update My Dell application to v3.5 - Appliance and OEM Solutions - Forum (Retired/Read Only) - Appliance and OEM Solutions - Dell Community

Unable to update My Dell application to v3.5

Appliance and OEM Solutions

Appliance and OEM Solutions
OEM Solutions works with companies building custom products & solutions for their customers based on Dell hardware & services.

Unable to update My Dell application to v3.5

  • When I run the My Dell application, I receive a notices that my current version 3.4.6422.14 needs to be updated to version 3.5.6426.22.  I download "aulauncher.exe" and run the application as an administrative.  The installation fails with the following message:

    My Dell:  The installation was unable to complete successfully and all system changes have been rolled back.  To try and install again, please visit http://www.dell.com/dellsupportcenter.

    I attempted search Dell Support Center but I cannot find anything that addresses this particular issue. I've even downloaded "aulauncher.exe" directly from the Dell Support Center and attempted to update the My Dell application.  I tried dozens of times, but they all fail.  I've even tried to install the update from a second Dell system from a relatives location, it also fails.  I believe there's an issue updating the application.

    Any suggestions?

  • I too feel the same, any suggestions?